# SUMO Logstash Plugin

Filters sumo access log lines and extracts useful information.

This projects needs jruby, so use "rvm use jruby". Tested and deployed with jruby 9.0.4.0

# Versions

3.0.12 Updated ismvod to cover all types starting with ismvod 
3.0.13 Updated to latest logstash version
3.0.17 Updated to include all dashvod variants
3.0.18 Added healthcheck as videotype
3.0.19 Bug fix
3.0.20 Added support for hdsvod
3.0.21 Added support for vod4
3.0.22 Added support for /origin1-live.akamai.tv2.no/live/727992.isml/Manifest
3.0.23 Fix of bug in parsing origin1-live urls
3.0.25 Added support for akamai cache_key
3.0.26 Added support for /origin2-od.akamai.tv2.no/ismusp/isi_mp4_0/2014-04-25/G018902sumo(809735_ISMUSP).ism/Manifest
3.0.27 Added exception handling for page_parse part

## Build
Update the version numder in logstash-filter-sumo.gemspec
Update readme with new release information
gem build logstash-filter-sumo.gemspec
bundle exec rake publish_gem


## Install in logstash
Go to main logstash directory
bin/plugin install --version 3.0.11 logstash-filter-sumo


## Api access
http://sumo.tv2.no/api/web/asset/1035131

#### Test

- Update your dependencies

```sh
bundle install
```

- Pull down GeoIP database files

```sh
bundle exec rake vendor
```

- Run tests

```sh
bundle exec rspec
```

## Api access
http://sumo.tv2.no/api/web/asset/1035131



Author : Leif Terje Fonnes ( leffen@gmail.com ) 


## Elemental links




/out/u/463577.mpd                                 => path_type=“elemental live”, dist_type=“live”, video_type=“dash”, asset_id=463577, vtype="manifest"
/out/u/463577_video_1_0_3425579.mp4?m=1500616216  => path_type=“elemental live”, dist_type=“live”,video_type=“dash”, asset_id=463577 , vtype="segment"
/out/u/880009.m3u8                                => path_type=“elemental live”, dist_type=“live”,video_type=“hls”, asset_id=880009, vtype="playlist"
/out/u/880009_6.m3u8                              => path_type=“elemental live”, dist_type=“live”,video_type=“hls”, asset_id=880009, vtype="chunklist"
/out/u/880009_6_3584645.ts?m=1501848254           => path_type=“elemental live”, dist_type=“live”,video_type=“hls”, asset_id=880009, vtype="segment" 
/out/u/880009.ism/Manifest                               => path_type=“elemental live”, dist_type=“live”,video_type=“ism”, asset_id=880009, vtype="manifest"
/out/u/880009.ism/Events(72_1501848239)/QualityLevels(2499968)/Fragments(v=77110176346666)  => path_type=“elemental live”, dist_type=“live”,video_type=“ism”, asset_id=880009, vtype="segment" 


On 16 Aug 2017, at 10:18, Robert Uglehus <Robert.Uglehus@tv2.no> wrote:

Manifest:
/out/u/463577.mpd
(.mpd indikerer at det er dash manifest)
Segment:
/out/u/463577_video_1_0_3425579.mp4?m=1500616216
(.mp4 indikerer at det er dash segment)
(progid 463577)
 
 
HLS:
Manifest/playliste:
/out/u/880009.m3u8
Chunkliste:
/out/u/880009_6.m3u8
(.m3u8 indikerer at det er playliste)
Segment:
/out/u/880009_6_3584645.ts?m=1501848254
(.ts indikerer at det er HLS segment)
(progid 880009)
 
 
ISM:
Manifest
/out/u/880009.ism/Manifest
(“Manifest” indikerer at det er ISM manifest
Segment:
/out/u/880009.ism/Events(72_1501848239)/QualityLevels(2499968)/Fragments(v=77110176346666)
(“QualityLevels” indikerer at det er segment)
(progid 880009)
 
 


